{...}: {
  virtualisation.oci-containers.containers.wg-easy = {
    image = "ghcr.io/wg-easy/wg-easy:latest";
    autoStart = true;
    volumes = [
      "/home/admin/config:/etc/wireguard:Z"
    ];
    environment = {
      WG_HOST = "severijnse.eu";
      PASSWORD_HASH = "$2a$12$b3n4drXgS3B6ubMZxxjPUOQ1XktZ1EuDwm4AIdVulhtoD7b1.WQGC";
      WG_DEFAULT_ADDRESS = "10.8.0.x";
      WG_DEFAULT_DNS = "1.1.1.1";
      WG_PORT = "51820";
    };
    extraOptions = [
      "--cap-add=NET_ADMIN"
      "--cap-add=SYS_MODULE"
      "--cap-add=NET_RAW"
      "--network=host"
    ];
  };
}
